Skip to main content
GET
/
company
/
{id}
/
wp-plugins
Get list of company plugins
curl --request GET \
  --url https://api.kinsta.com/v2/company/{id}/wp-plugins \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offset": 0,
  "limit": 30,
  "search": "Elementor",
  "status": "active",
  "column": "updatesAvailable",
  "order_by": {
    "field": "name",
    "order": "ascend"
  }
}
'
{
  "company": {
    "plugins": {
      "total": 15,
      "last_updated_at": "2026-01-01T12:00:00.000Z",
      "items": [
        {
          "name": "elementor",
          "title": "Elementor",
          "description": "Popular page builder.",
          "latest_version": "3.22.1",
          "is_latest_version_vulnerable": false,
          "environment_count": 5,
          "update_count": 2,
          "environments": [
            {
              "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
              "site_display_name": "My Awesome Site",
              "display_name": "Live",
              "plugin_status": "active",
              "plugin_update": "available",
              "plugin_version": "1.0.0",
              "is_plugin_version_vulnerable": false,
              "plugin_update_version": "1.0.1",
              "is_plugin_update_version_vulnerable": false,
              "plugin_update_status": "updated",
              "auto_update_type": "Kinsta Automatic Update"
            }
          ]
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
offset
number
Example:

0

limit
number
Example:

30

Example:

"Elementor"

status
enum<string>
Available options:
active,
inactive
Example:

"active"

column
enum<string>
Available options:
vulnerable,
updatesAvailable
Example:

"updatesAvailable"

order_by
object

Response

List of company plugins

company
object
required